Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 631890

Summary: <net-p2p/bitcoin-qt-0.15.1 depends on deprecated qt4, please clean up
Product: Gentoo Linux Reporter: Michael Palimaka (kensington) <kensington>
Component: Current packagesAssignee: Luke-Jr <luke-jr+gentoobugs>
Status: RESOLVED FIXED    
Severity: normal CC: dan, mail, proxy-maint
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=643698
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 644940    
Bug Blocks: 631788    

Description Michael Palimaka (kensington) gentoo-dev 2017-09-24 06:43:59 UTC
It looks like bitcoin-qt supports both qt4 and qt5. Since qt4 is dead, please drop it and just use qt5 instead.
Comment 1 Andreas Sturmlechner gentoo-dev 2017-12-28 22:30:24 UTC
ping
Comment 2 Luke-Jr 2017-12-28 23:10:00 UTC
https://github.com/gentoo/gentoo/pull/6272 has been sitting unmerged for over a month now.
Comment 3 Larry the Git Cow gentoo-dev 2017-12-31 16:20:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a84ae2045d1d2b5fb39f68731bbe17e2e9c6462

commit 0a84ae2045d1d2b5fb39f68731bbe17e2e9c6462
Author:     Luke Dashjr <luke-jr+git@utopios.org>
AuthorDate: 2017-12-10 15:07:54 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2017-12-31 16:20:22 +0000

    net-p2p/bitcoin-qt: Bump to 0.15.1
    
    Closes: https://bugs.gentoo.org/615290
    Closes: https://bugs.gentoo.org/631890
    Closes: https://bugs.gentoo.org/640674
    Closes: https://github.com/gentoo/gentoo/pull/6272

 net-p2p/bitcoin-qt/Manifest                 |   2 +
 net-p2p/bitcoin-qt/bitcoin-qt-0.15.1.ebuild | 253 ++++++++++++++++++++++++++++
 net-p2p/bitcoin-qt/metadata.xml             |   3 +
 3 files changed, 258 insertions(+)
Comment 4 Andreas Sturmlechner gentoo-dev 2017-12-31 16:23:05 UTC
Cleanup not done yet.
Comment 5 Larry the Git Cow gentoo-dev 2018-03-18 14:17:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b920e4edb845b5e98bcef376db83bc60fc621f1

commit 4b920e4edb845b5e98bcef376db83bc60fc621f1
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-18 14:16:00 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-18 14:16:00 +0000

    net-p2p/bitcoin-qt: Drop old
    
    Closes: https://bugs.gentoo.org/631890
    Closes: https://bugs.gentoo.org/643698
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-p2p/bitcoin-qt/Manifest                    |   6 --
 net-p2p/bitcoin-qt/bitcoin-qt-0.13.0.ebuild    | 129 ------------------------
 net-p2p/bitcoin-qt/bitcoin-qt-0.13.1-r1.ebuild | 130 ------------------------
 net-p2p/bitcoin-qt/bitcoin-qt-0.13.2.ebuild    | 132 -------------------------
 net-p2p/bitcoin-qt/metadata.xml                |  90 -----------------
 5 files changed, 487 deletions(-)